ATTR_SET_FD(1)

NAME
attr_set_fd - set RSBAC attributes on the selected file or directory

SYNOPSIS

attr_set_fd [-vrna] [-Vversion] {module} {target-type} {value} [file/dirname(s)]

DESCRIPTION

If you want to change RSBAC attribute for some file or directory, you may use attr_set_fd utility. Check appropriate documentation about possible attributes and values for module you want to administrate or use -a option to see full list.

OPTIONS

-v  verbose output

-r  apply changes recurse into subdirs

-n  list all requests

-a  list attributes and values

-V version
    supply RSBAC integer version number for upgrading

module
    One of the possible RSBAC modules, e.g., GEN, MAC, FC, SIM, PM, MS, FF, RC or AUTH.

target-type
    One of the possible file object target types: FILE, DIR, FIFO, SYMLINK, DEV or FD. FD target type let program decide between FILE, DIR, FIFO and SYMLINK, but no DEV.

AUTHOR
Amon Ott <ao@rsbac.org>.